RoutesTeamsTeamidInvitations
/teams/{teamId}/invitations
Invite a person to a team by email. The invitation expires after 7 days and an email is sent to the address
AuthorizationBearer <token>
In: header
Path Parameters
teamId*string
ID of the team
Request Body
application/json
email*string
Email address of the person to invite
Match
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailrole*string
Role the invited person gets in the team
Value in
"member" | "maintainer"Response Body
application/json
curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/teams/string/invitations" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "role": "member" }'{
"invitation": {
"id": "string",
"teamId": "string",
"tenantId": "string",
"inviterUserId": "string",
"email": "string",
"role": "member",
"token": "string",
"expiresAt": "string",
"acceptedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
}